Complex vectors
Collaboration diagram for Complex vectors:

## Modules

| Complex vectors math and signal processing

## Files

file | cxvec.h
| Osmocom Complex vectors header.

## Classes

struct | osmo_cxvec
| Complex vector. More...

## Macros

#define | CXVEC_FLG_REAL_ONLY (1<<0)
| Real values only.

## Functions

void | osmo_cxvec_init_from_data (struct osmo_cxvec *cv, float complex *data, int len)
struct osmo_cxvec * | osmo_cxvec_alloc_from_data (float complex *data, int len)
struct osmo_cxvec * | osmo_cxvec_alloc (int max_len)
void | osmo_cxvec_free (struct osmo_cxvec *cv)
void | osmo_cxvec_dbg_dump (struct osmo_cxvec *cv, const char *fname)

## Detailed Description

## Macro Definition Documentation

## CXVEC_FLG_REAL_ONLY

#define CXVEC_FLG_REAL_ONLY (1<<0)

Real values only.

## Function Documentation

## osmo_cxvec_alloc()

struct osmo_cxvec * osmo_cxvec_alloc | ( | int | max_len | ) |

## osmo_cxvec_alloc_from_data()

struct osmo_cxvec * osmo_cxvec_alloc_from_data | ( | float complex * | data,
|  | int | len
| ) |  |

## osmo_cxvec_dbg_dump()

void osmo_cxvec_dbg_dump | ( | struct osmo_cxvec * | cv,
|  | const char * | fname
| ) |  |

## osmo_cxvec_free()

void osmo_cxvec_free | ( | struct osmo_cxvec * | cv | ) |

## osmo_cxvec_init_from_data()

void osmo_cxvec_init_from_data | ( | struct osmo_cxvec * | cv,
|  | float complex * | data,
|  | int | len
| ) |  |